<div id="bannerStock">
  <div class="col-sm">
    <h3>Stock</h3>
  </div>
</div>

<div class="container">
  <div class="row">
    <div class="col-lg-4 col-md-6 col-xs-6">
      <div class="form-group">
          <select class="form-control" (change)="updateCatalogue($event.target.value)">
          <option selected value="666">Tous les produits</option>
          <option *ngFor="let typeProduit of typesProduit"  value="{{typeProduit.id}}">{{typeProduit.nom}}</option>
          </select>
      </div>
    </div>
  </div>

  <br/>

  <table datatable id="produitDataTable" [dtTrigger]="dtTrigger" [dtOptions]="dtOptions" class="row-border hover">
      <thead>
        <tr>
          <th style="display:none;">Id</th>
          <th>Image</th>
          <th>Produit</th>
          <th>Marque</th>
          <th>Disponibilité<br/>site internet</th>
          <th>Quantités<br/>en stock</th>
          <th>Approvisionnement</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let stock of stocks">
          <td style="display:none;">{{ stock.id }}</td>
          <td>
              <img src="/assets/images/{{stock.produit.photo}}" />    
          </td>
          <td>{{ stock.produit.nom }}</td>
          <td>{{ stock.produit.marque?.nom }}</td>
          <td>{{ stock.quantiteDispoSiteInternet }}</td>
          <td>{{ stock.quantiteDispoPhysique}}</td>
          <td>
            <button type="submit" id="myDtButton" class="btn btn-primary mb pull-right" (click)="afficherApprovisionnement()">Historique</button>
          </td>
        </tr>
      </tbody>
  </table>
</div>


